Viewing Issue Simple Details Jump to Notes ] Wiki ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0004846 [DCSS] Bug Report minor always 2011-11-01 23:39 2015-02-16 20:44
Reporter GreatZebu View Status public  
Assigned To wheals
Priority normal Resolution done  
Status resolved   Product Branch 0.10 ancient branch
Summary 0004846: Internal compiler error on gcc 4.0
Description The current trunk cannot be compiled by gcc 4.0 due to an internal compiler error. The breaking change appears to be the addition of new gnoll monsters to mon-data.h in commit a30033. The code itself doesn't look problematic, and small tweaks do not eliminate the error. This wouldn't be a significant problem, except that this compiler version is needed to build PPC binaries for Mac users. I've appended the compiler error message below, although it is not particularly enlightening.

mon-util.cc: In function ‘void __static_initialization_and_destruction_0(int, int)’:
mon-util.cc:4372: error: insn does not satisfy its constraints:
(insn 91781 26884 26893 9 (set (mem/s/j:DI (plus:SI (reg/f:SI 28 r28 [14878])
                (const_int 32760 [0x7ff8])) [0 <variable>.bitfields+0 S8 A32])
        (reg:DI 9 r9)) 316 {*movdi_internal32} (nil)
    (nil))
mon-util.cc:4372: internal compiler error: in reload_cse_simplify_operands, at postreload.c:391
Additional Information
Tags No tags attached.
Attached Files

- Relationships

-  Notes
(0015652)
KiloByte (manager)
2011-11-01 23:55

Does compiling with -O0 help?
(0015655)
GreatZebu (updater)
2011-11-02 00:38

-O0 and -O2 both produce the error in my testing.
(0028492)
wheals (administrator)
2015-02-16 20:44

We don't support ancient compilers anymore.

- Issue History
Date Modified Username Field Change
2011-11-01 23:39 GreatZebu New Issue
2011-11-01 23:55 KiloByte Note Added: 0015652
2011-11-02 00:38 GreatZebu Note Added: 0015655
2015-02-16 20:44 wheals Note Added: 0028492
2015-02-16 20:44 wheals Status new => resolved
2015-02-16 20:44 wheals Fixed in Branch => 0.16 development branch
2015-02-16 20:44 wheals Resolution open => done
2015-02-16 20:44 wheals Assigned To => wheals


Mantis 1.1.8[^]
Copyright © 2000 - 2009 Mantis Group
Powered by Mantis Bugtracker